Bug 50975 - i2c/sensors kernel modules do not allow to detect/use LM78 on an INTEL PR440FX main board
i2c/sensors kernel modules do not allow to detect/use LM78 on an INTEL PR440F...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-05 17:03 EDT by Joachim Frieben
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 12:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2001-08-05 17:03:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
The i2c/sensors kernel modules (v 2.5.5) included in kernel 2.4.6-3.1 do
not allow to detect/use the LM78 hardware monitoring chip on an INTEL
PR440FX mainboard which is controlled via the ISA bus. The corresponding
(necessary) modules are i2c-core.o, i2c-isa.o, sensors.o and lm78.o.

How reproducible:
Always

Steps to Reproduce:
1. execute 'sensors-detect'
2. modprobe lm78
3. modprobe i2c-isa
4. execute 'sensors'

Actual Results:  Execution of 'sensors-detect' yields:

... Some chips are also accessible through the ISA bus. ISA probes are
typically a bit more dangerous, as we have to write to I/O ports to do
this.  Do you want to scan the ISA bus? (YES/no): 
Probing for `National Semiconductor LM78'
  Trying address 0x0290... Failed! ...

After loading kernel modules and executing 'sensors', one obtains:

 No sensors found!


Expected Results:  ... Probing for `National Semiconductor LM78'
  Trying address 0x0290... Success!
    (confidence 7, driver `lm78') ...


Additional info:

After compiling version 2.6.0 of i2c and lm_sensors based on source tree
linux-2.4.6-3.1, 'sensors-detect' detects correctly the LM78 chip, and
after loading kernel modules i2c-proc.o and lm78.o of version 2.6.0 instead
of kernel modules sensors.o and lm78.o of version 2.5.5, execution of
'sensors' yields the expected result!

Note You need to log in before you can comment on or make changes to this bug.